<?php   defined('C5_EXECUTE') or die("Access Denied.");
$al = $app->make('helper/concrete/asset_library');
?>
<div class="row">
	<div class="col-xs-12">
		<div class="form-group">
			<?php  echo $form->label("gif-image",t("GIF Image")); ?>
			<div class="input">
			<?php if($fID){ echo $al->image('gif-image', 'fID', t('Choose Image'), ($fID)?File::getByID($fID):""); }
			else { echo $al->image('gif-image', 'fID', t('Choose Image')); } ?>
			</div>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-xs-6">
		<div class="form-group">
			<?php echo $form->label('ntdte', t('Trigger Event'));?>
			<?php echo $form->select('ntdte', array("none"=>t("None - Always Play"),"hover"=>t("Hover"),"click"=>t("Click")),$ntdte,array("onChange" => "updateGifplayrTrigger();"));?>
		</div>
	</div>
	<div class="col-xs-6">
		<div class="form-group" id="form-none1">
			<?php echo $form->label('overlay', t('Display Overlay Play Icon'));?>
			<?php echo $form->select('overlay', array("true"=>t("Yes"),"false"=>t("No")),$overlay);?>
		</div>
	</div>
</div>
<div class="row" id="form-none2">
	<div class="col-xs-6">
		<div class="form-group">
			<?php echo $form->label('apd', t('Play Duration'));?>
			<br /><small><?php echo t('Set to 0 for infinity.')?></small><br />
			<div class="input-group">        
				<?php echo $form->number('apd', $apd?$apd:"0", array('min'=>0,'max'=>30)); ?>
				<div class="input-group-addon"><?php echo t('seconds')?></div>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
    function updateGifplayrTrigger(){
        $("#ntdte").each(function(){
			if ($(this).find("option:selected").val() == "none" ) {
				$("#form-none1, #form-none2").hide();
			}
			if ($(this).find("option:selected").val() != "none" ) {
				$("#form-none1, #form-none2").show();
			}
		});
	};
	updateGifplayrTrigger();
</script>