<?php   namespace Concrete\Package\GifPlayr;
use Package;
use BlockType;
use Database;

defined('C5_EXECUTE') or die("Access Denied.");

class Controller extends Package {

	protected $pkgHandle = 'gif_playr';
	protected $appVersionRequired = '5.7.5.6';
	protected $pkgVersion = '1.0';
	
	public function getPackageDescription(){
		return t("Display an animated GIF image.");
	}
	public function getPackageName(){
		return t("GIF Playr");
	}
	public function install(){
		$pkg = parent::install();
		if (!is_object(BlockType::getByHandle('gif_playr'))) {
			BlockType::installBlockType('gif_playr', $pkg); 
		}
	}
	public function uninstall(){
		parent::uninstall();
		$db = Database::connection();
		$db->executeQuery('DROP TABLE IF EXISTS btGifplayr');
	}
}
?>